import store from '../../store'
import create from '../../utils/create'
import fetch from '../../utils/http'
import signUp from '../..//utils/signup'
const $api = require('../../config/api.js').$api;

const app = getApp()

create(store, {
  onLoad(e) {
    this.setData({
      NavActiveIndex: e.index || 0
    })
    const _that = this
    fetch({
      url: $api.propaganda.list.url,
      method: $api.propaganda.list.method
    }).then((imgs) => {
      if(imgs.data.length>0) {
        _that.setData({
          ShowLayer: true,
          propagandaList: imgs.data
        })
      }
    })
  },
  data: {
    ShowLayer: false,
    userInfo: {},
    propagandaList: [],
    NavList: [{ // navlist数据
      value: '首页',
      icon: '/assets/images/icon1.png'
    }, {
      value: '楼盘',
      icon: '/assets/images/icon2.png'
    }, {
      value: '福利',
      icon: '/assets/images/icon3.png'
    }, {
      value: '我的',
      icon: '/assets/images/icon4.png'
    }],
    conPageIndex: 0,
    ScreenBottomHeight: app.globalData.ScreenBottomHeight,
    NavActiveIndex: 0, // nav焦点索引值
    telList: [
      {
        title: '悦见山',
        tel: '025-86505555',
      },
      {
        title: '依澜郡',
        tel: '025-58651665',
      },
    ],
    telListVisible: false,
  },
  callTel (e) {
    const phoneNumber = e.target.dataset.tel
    
    if (phoneNumber) {
      wx.makePhoneCall({ phoneNumber })
      this.setData({
        telListVisible: false,
      })
    }
  },
  showTelDialog () {
    this.setData({
      telListVisible: true,
    })
  },
  closeTelLayer () {
    this.setData({
      telListVisible: false,
    })
  },
  TriggerCutNav(e) {
    this.DealNavCut(e.detail.index)
  },
  DealNavCut(index) {
    if (index === 0) {
      wx.setNavigationBarTitle({
        title: '银城国际·江北公司'
      })
    } else if (index === 1) {
      wx.setNavigationBarTitle({
        title: '银城国际·江北公司'
      })
    } else if (index === 2) {
      wx.setNavigationBarTitle({
        title: '楼盘资讯'
      })
    } else if (index === 3) {
      wx.setNavigationBarTitle({
        title: '我的'
      })
    }
    this.setData({
      NavActiveIndex: index
    })
  },
  CutNav(e) { // 切换Nav
    if (e.target.dataset.index !== undefined) {
      this.DealNavCut(e.target.dataset.index)
    }
  },
  onConcessionPageChange(e) {
    this.setData({ conPageIndex: e.detail })
  },
  onShareAppMessage: function () {
    let shareImg = app.globalData.ShareImg
    switch (this.data.NavActiveIndex) {
      case 1:
        shareImg = app.globalData.DongtaiImg
        break
      case 2:
        shareImg = this.data.conPageIndex == 1
          ? app.globalData.ActivityImg
          : app.globalData.DongtaiImg

        break
      default:
        break
    }

    return { ...app.globalData.ShareDate, imageUrl: shareImg }
  },
  closeLayer() {
    this.setData({
      ShowLayer: false
    })
  },
  signup(e) {
    signUp(e.detail.userInfo, app).then((dt) => {
      //
    })
  },
  propagandaClick(e) {
    if (e.target.dataset.pro.skipType && e.target.dataset.pro.skipType == 'building' && e.target.dataset.pro.skipId != ''){
      wx.navigateTo({
        url: '/pages/EstateDetail/index?id=' + e.target.dataset.pro.skipId,
      })
    }
    if (e.target.dataset.pro.skipType && e.target.dataset.pro.skipType == 'activity' && e.target.dataset.pro.skipId != '') {
      wx.navigateTo({
        url: '/pages/ActivityDetail/index?type=2&id=' + e.target.dataset.pro.skipId,
      })
    }
  }
})